> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Update a specific webhook.

PUT https://prod-api.raisedonors.com/api/Webhook/{id}
Content-Type: application/json

Reference: https://virtuous.ferndocs.com/reference/raise/webhook/updatewebhook

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Request

### Path parameters

- `id` (long, required) — The ID of the webhook.

### Body (application/json)

This endpoint expects a WebhookRequest.

- `name` (string, optional, nullable) — Gets or sets the name.
- `eventTypesList` (list of enum, optional, nullable) — Gets or sets the event types list.
  - Allowed values: `10`, `11`, `12`, `20`, `21`, `22`, `30`, `31`, `32`, `40`, `41`, `42`, `50`, `51`, `52`
- `notificationUrl` (string, optional, nullable)
- `status` (enum, optional) — Gets or sets the status.
  - Allowed values: `1`, `2`
- `format` (enum, optional) — Gets or sets the format.
  - Allowed values: `1`, `2`
- `securityToken` (string, optional, nullable) — Gets or sets the security token.

## Response

### 200

OK

- `createdDate` (string, optional, nullable) — Gets or sets the created date.
- `eventTypes` (string, optional, nullable) — Gets or sets the event types.
- `eventTypesList` (list of enum, optional, nullable) — Gets or sets the event types list.
  - Allowed values: `10`, `11`, `12`, `20`, `21`, `22`, `30`, `31`, `32`, `40`, `41`, `42`, `50`, `51`, `52`
- `format` (enum, optional) — Gets or sets the format.
  - Allowed values: `1`, `2`
- `formatDisplay` (string, optional, nullable) — Gets or sets the format display.
- `id` (long, optional) — Gets or sets the identifier.
- `modifiedDate` (string, optional, nullable) — Gets or sets the modified date.
- `name` (string, optional, nullable) — Gets or sets the name.
- `notificationUrl` (string, optional, nullable) — Gets or sets the notification URL.
- `securityToken` (string, optional, nullable) — Gets or sets the security token.
- `status` (enum, optional) — Gets or sets the status.
  - Allowed values: `1`, `2`
- `statusDisplay` (string, optional, nullable) — Gets or sets the status display.

## Errors

### 400 Bad Request Error

Bad Request

- `Webhook_UpdateWebhookRequestBadRequestError`
  - ProblemDetails: ProblemDetails
  - HttpValidationProblemDetails: HttpValidationProblemDetails

## Types

### ProblemDetails

- `type` (string, optional, nullable)
- `title` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `detail` (string, optional, nullable)
- `instance` (string, optional, nullable)

### HttpValidationProblemDetails

- `detail` (string, optional, nullable)
- `errors` (map from string to list of string, optional, nullable)
- `instance` (string, optional, nullable)
- `status` (integer, optional, nullable)
- `title` (string, optional, nullable)
- `type` (string, optional, nullable)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "createdDate": "2024-05-01T12:00:00Z",
  "eventTypes": "DonationCreated, DonationUpdated, DonationDeleted",
  "eventTypesList": [
    10,
    21,
    32
  ],
  "format": 2,
  "formatDisplay": "JSON",
  "id": 1,
  "modifiedDate": "2024-06-10T15:30:00Z",
  "name": "Donation Received Webhook",
  "notificationUrl": "https://example.org/webhooks/donations",
  "securityToken": "a1b2c3d4e5f6g7h8i9j0",
  "status": 1,
  "statusDisplay": "Active"
}
```

**SDK Code**

```python
import requests

url = "https://prod-api.raisedonors.com/api/Webhook/1"

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://prod-api.raisedonors.com/api/Webhook/1';
const options = {
  method: 'PUT',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://prod-api.raisedonors.com/api/Webhook/1"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://prod-api.raisedonors.com/api/Webhook/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://prod-api.raisedonors.com/api/Webhook/1")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://prod-api.raisedonors.com/api/Webhook/1', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://prod-api.raisedonors.com/api/Webhook/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://prod-api.raisedonors.com/api/Webhook/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```